Bug 242960 - net-mgmt/softflowd: update to 1.0.0
Summary: net-mgmt/softflowd: update to 1.0.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Renato Botelho
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-12-29 14:58 UTC by R Williams
Modified: 2019-12-31 11:16 UTC (History)
2 users (show)

See Also:
jmohacsi: maintainer-feedback+


Attachments
Update net-mgmt/softflowd port to 1.0.0 (2.00 KB, patch)
2019-12-29 14:58 UTC, R Williams
no flags Details | Diff
pet portlint (1.88 KB, patch)
2019-12-30 17:14 UTC, Renato Botelho
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description R Williams 2019-12-29 14:58:27 UTC
Created attachment 210305 [details]
Update net-mgmt/softflowd port to 1.0.0

Update softflowd port to version 1.0.0. Current port Makefile references an arbitrary commit between 0.9.9 and 1.0.0, so this brings it up to date with the latest released version.

Automake now installs `softflowd` and `softflowctl` in `%PREFIX%/bin` instead of `%PREFIX%/sbin`, so PLIST and rc script updated accordingly.
Comment 1 Renato Botelho freebsd_committer 2019-12-30 17:14:05 UTC
Created attachment 210335 [details]
pet portlint

I've made small adjustments to silence portlint warnings
Comment 2 Janos Mohacsi 2019-12-31 09:55:27 UTC
Thanks for the update. Approved.
Comment 3 commit-hook freebsd_committer 2019-12-31 11:15:57 UTC
A commit references this bug:

Author: garga
Date: Tue Dec 31 11:15:00 UTC 2019
New revision: 521608
URL: https://svnweb.freebsd.org/changeset/ports/521608

Log:
  net-mgmt/softflowd: update to 1.0.0

  PR:		242960
  Submitted by:	R Williams <ross@ross-williams.net>
  Approved by:	maintainer
  Sponsored by:	Rubicon Communications, LLC (Netgate)

Changes:
  head/net-mgmt/softflowd/Makefile
  head/net-mgmt/softflowd/distinfo
  head/net-mgmt/softflowd/files/softflowd.in